Subject: Re: bug#72791: 29.4; x-popup-menu in emacs built with lucid xtoolkit can't scroll

From: Thierry Volpiatto <[email-masked]>
Date: Sun, 25 Aug 2024 05:07:01 +0000

Po Lu <[email-masked]> writes:

> Thierry Volpiatto <[email-masked]> writes:
>
>> Hello,
>>
>> when Emacs is built with "--with-x-toolkit=lucid" a menu displayed by
>> x-popup-menu and larger than (window-height) doesn't have a scroll bar.
>> The part which is shown is the center part (first lines and last lines
>> doesn't appear).  This doesn't happen with a default build (gtk).
>>
>> I don't know if it is a misfeature of Lucid or an emacs bug.
>
> lwlib doesn't support this feature.

Thanks for the info, it is what I wanted to know.

> I suggest building with Motif.

Motif seems to have the same problem, quite different though, the
beginning of text is shown (title and next candidates) but the end is
not shown (normal it is out of screen) and we can't scroll further,
only gtk allow moving up and down in the list of candidates.
As with lwlib, I guess it is not supported by motif and out of emacs scope.

-- 
Thierry